﻿UPDATE JEFY_ADMIN.ORGAN_PRORATA SET orp_priorite = 0 WHERE orp_priorite IS NULL;
COMMIT;

ALTER TABLE JEFY_ADMIN.ORGAN_PRORATA MODIFY (ORP_PRIORITE DEFAULT 0 NOT NULL );  


ALTER TABLE JEFY_ADMIN.ORGAN_PRORATA drop CONSTRAINT FK_ORGAN_PRORATA_ORG_ID;
    
ALTER TABLE JEFY_ADMIN.ORGAN_PRORATA ADD (
  CONSTRAINT FK_ORGAN_PRORATA_ORG_ID FOREIGN KEY (ORG_ID) 
    REFERENCES JEFY_ADMIN.ORGAN (ORG_ID) deferrable initially deferred);


ALTER TABLE JEFY_ADMIN.UTILISATEUR
 ADD CONSTRAINT UNQ_UTILISATEUR_PERS_ID
 UNIQUE (PERS_ID)
 ENABLE
 VALIDATE;
 
ALTER TABLE JEFY_ADMIN.UTILISATEUR
 ADD CONSTRAINT UNQ_UTILISATEUR_NO_IND
 UNIQUE (NO_INDIVIDU)
 ENABLE
 VALIDATE;
 
 
 
INSERT INTO jefy_admin.TYPAP_VERSION ( TYAV_ID, TYAP_ID, TYAV_TYPE_VERSION, TYAV_VERSION, TYAV_DATE,
TYAV_COMMENT ) VALUES ( 
jefy_admin.TYPAP_VERSION_seq.NEXTVAL, 1, 'BD', '1.0.9',  SYSDATE, 'Patch 1.0.9');

COMMIT; 